Discovery plugin is not seeded in Katello 3.4
Description

I enabled discovery plugin in the installer of K3.4:

foreman-installer -v --scenario katello \

--enable-foreman-plugin-discovery

The plugin was working but for some reason installer did not run seed script and database was not seeded with kexec template.

Symptoms: Visit Templates, search for "kexec" there should be two templates found, seeded via:

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_discovery-9.0.0/db/seeds.d/50_discovery_templates.rb

History

#1 - 05/31/2017 02:28 PM - Justin Sherrill

- Status changed from New to Need more information

- translation missing: en.field_release changed from 211 to 228

I'm not sure what katello has to do with this exactly, the katello scenario just uses the normal foreman puppet modules for plugins.  Are you able to

reproduce with standalone foreman?

Also did you install the discovery plugin at initial install time or after the fact?

#2 - 06/07/2017 10:47 PM - Eric Helms

- Project changed from Katello to Installer

- Category deleted (Installer)

- translation missing: en.field_release deleted (228)

#3 - 10/06/2017 12:30 PM - Ewoud Kohl van Wijngaarden

Does that mean you need to run a rake db:seed after installing the discovery plugin? Currently we rely on plugins do to this in a RPM post hook but

there was some discussion about revisiting this.

#4 - 10/09/2017 07:33 AM - Lukas Zapletal

- Status changed from Need more information to Closed

I thought it was a known issue. Unable to reproduce so far.
